<template lang="pug">

BaseCard(:title='title')
  template(v-slot:header='')
    .d-flex.justify-content-between
      h5 {{ title }}
      BaseAnimationBlock
        .ml-2.mt-1.spinner-border.spinner-border-sm(v-if="exporting"
          role='status' aria-hidden='true')
  li(key='0')
    .row.b-param-container
      OperYearSelector.col-12(ref='operYear'
        title='Operation Year Quick Select' :inEdit='true'
        @edit='setOperYearDates($event)')
      BaseParamDate.col-12(ref='start' title='Begin of Start Date'
        :inEdit='true' :timestamp='startDate / 1000' @edit="checkDates()")
      BaseParamDate.col-12(ref='stop' title='End of Start Date'
        :inEdit='true' :timestamp='stopDate / 1000' @edit="checkDates()")
    .row.no-gutters.mt-1
      .dropdown.ml-auto
        button#dropdownImportExport.btn.btn-outline-secondary.dropdown-toggle(type='button'
          data-toggle='dropdown' aria-haspopup='true' aria-expanded='false'
          :disabled="disableExport")
          | Export
          .dropdown-menu(aria-labelledby='dropdownImportExport')
              div.dropdown-item(@click='downloadJson()') Export JSON
              div.dropdown-item(@click='downloadCsv()') Export CSV
              div.dropdown-item(@click='downloadHtml()') Export HTML
</template>

<script src='./RunsExport.vue.js' />
